Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Tuxpaint :(((
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
Alice in W
Tux's lil' helper
Tux's lil' helper


Joined: 29 Nov 2003
Posts: 86
Location: Moscow, Russia

PostPosted: Fri May 13, 2005 9:33 pm    Post subject: Tuxpaint :((( Reply with quote

Tuxpaint не ставится, не находит SDL.
Ни из портежей ни вручную, никак.
Code:

...Compiling Tux Paint from source...
src/tuxpaint.c:176:2: #error "---------------------------------------------------"
src/tuxpaint.c:177:2: #error "If you installed SDL_image from a package, be sure"
src/tuxpaint.c:178:2: #error "to get the development package, as well!"
src/tuxpaint.c:179:2: #error "(e.g., 'libsdl-image1.2-devel.rpm')"
src/tuxpaint.c:180:2: #error "---------------------------------------------------"
src/tuxpaint.c:185:2: #error "---------------------------------------------------"
src/tuxpaint.c:186:2: #error "If you installed SDL_ttf from a package, be sure"
src/tuxpaint.c:187:2: #error "to get the development package, as well!"
src/tuxpaint.c:188:2: #error "(e.g., 'libsdl-ttf1.2-devel.rpm')"
src/tuxpaint.c:189:2: #error "---------------------------------------------------"
src/tuxpaint.c:195:2: #error "---------------------------------------------------"
src/tuxpaint.c:196:2: #error "If you installed SDL_mixer from a package, be sure"
src/tuxpaint.c:197:2: #error "to get the development package, as well!"
src/tuxpaint.c:198:2: #error "(e.g., 'libsdl-mixer1.2-devel.rpm')"
src/tuxpaint.c:199:2: #error "---------------------------------------------------"
src/tuxpaint.c: In function `mainloop':
src/tuxpaint.c:915: warning: `w' might be used uninitialized in this function
src/tuxpaint.c:915: warning: `h' might be used uninitialized in this function
make[1]: *** [obj/tuxpaint.o] Error 1

Все нужные библиотеки давно стоят в /usr/lib... Чего делать? Где он их ищет - непонятно.
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Fri May 13, 2005 10:22 pm    Post subject: Reply with quote

А ты можешь показать вывод emerge -pv media-libs/sdl-image media-libs/sdl-ttf media-libs/sdl-mixer media-gfx/tuxpaint, а также то, каким образом emerge -v tuxpaint ругается?
Back to top
View user's profile Send private message
Alice in W
Tux's lil' helper
Tux's lil' helper


Joined: 29 Nov 2003
Posts: 86
Location: Moscow, Russia

PostPosted: Sat May 14, 2005 5:26 am    Post subject: Reply with quote

Code:
 # emerge -v tuxpaint
Calculating dependencies ...done!
>>> emerge (1 of 1) media-gfx/tuxpaint-0.9.13-r1 to /
>>> md5 src_uri ;-) tuxpaint-0.9.13.tar.gz
>>> md5 src_uri ;-) tuxpaint-0.9.13-makefile.patch
>>> Unpacking source...
>>> Unpacking tuxpaint-0.9.13.tar.gz to /var/tmp/portage/tuxpaint-0.9.13-r1/work
 * Applying tuxpaint-0.9.13-makefile.patch ...                                                                                [ ok ]
>>> Source unpacked.

...Compiling Tux Paint from source...
src/tuxpaint.c:169:2: #error "---------------------------------------------------"
src/tuxpaint.c:170:2: #error "If you installed SDL_image from a package, be sure"
src/tuxpaint.c:171:2: #error "to get the development package, as well!"
src/tuxpaint.c:172:2: #error "(e.g., 'libsdl-image1.2-devel.rpm')"
src/tuxpaint.c:173:2: #error "---------------------------------------------------"
src/tuxpaint.c:178:2: #error "---------------------------------------------------"
src/tuxpaint.c:179:2: #error "If you installed SDL_ttf from a package, be sure"
src/tuxpaint.c:180:2: #error "to get the development package, as well!"
src/tuxpaint.c:181:2: #error "(e.g., 'libsdl-ttf1.2-devel.rpm')"
src/tuxpaint.c:182:2: #error "---------------------------------------------------"
src/tuxpaint.c:188:2: #error "---------------------------------------------------"
src/tuxpaint.c:189:2: #error "If you installed SDL_mixer from a package, be sure"
src/tuxpaint.c:190:2: #error "to get the development package, as well!"
src/tuxpaint.c:191:2: #error "(e.g., 'libsdl-mixer1.2-devel.rpm')"
src/tuxpaint.c:192:2: #error "---------------------------------------------------"
make: *** [obj/tuxpaint.o] Error 1

!!! ERROR: media-gfx/tuxpaint-0.9.13-r1 failed.
!!! Function src_compile, Line 41, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


       # emerge -pv media-libs/sdl-image media-libs/sdl-ttf media-libs/sdl-mixer media-gfx/tuxpaint

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] media-libs/sdl-image-1.2.4  +gif +jpeg +png +tiff 0 kB
[ebuild   R   ] media-libs/sdl-ttf-2.0.7  +X 0 kB
[ebuild   R   ] media-libs/sdl-mixer-1.2.6  +mikmod +mpeg +oggvorbis 0 kB
[ebuild  N    ] media-gfx/tuxpaint-0.9.13-r1  -gnome -kde +nls 0 kB

Total size of downloads: 0 kB


я ж говорю - всё стоит...
Back to top
View user's profile Send private message
IGORR
n00b
n00b


Joined: 10 Nov 2003
Posts: 27
Location: Pokachi in Russia

PostPosted: Sat May 14, 2005 8:25 am    Post subject: Reply with quote

А попробуй env-update сделать.
Back to top
View user's profile Send private message
rusxakep
Guru
Guru


Joined: 09 Jul 2004
Posts: 458
Location: Moscow, Russia

PostPosted: Sat May 14, 2005 8:25 am    Post subject: Reply with quote

попробуй переставить это "все"

+ revdep-rebuild
Back to top
View user's profile Send private message
Alice in W
Tux's lil' helper
Tux's lil' helper


Joined: 29 Nov 2003
Posts: 86
Location: Moscow, Russia

PostPosted: Sat May 14, 2005 9:47 am    Post subject: Reply with quote

IGORR wrote:
А попробуй env-update сделать.

всё равно не хочет
rusxakep wrote:
попробуй переставить это "все"
+ revdep-rebuild

с этим посложнее, нашлись некоторые пакетики сломанные, но это и неудивительно - свалка из трёх разных snapshot'ов с общей разницей в полтора года :) (хотя систему и иксы одним куском ставила и пока не упградила), но на первый взгляд к SDL'у ничего не относится.
Но с другой стороны на SDL только вот Tuxpaint спотыкается, и раньше много кому требовался этот sdl и всё нормально ставилось, и версии не ниже нужных, точно.
Back to top
View user's profile Send private message
rusxakep
Guru
Guru


Joined: 09 Jul 2004
Posts: 458
Location: Moscow, Russia

PostPosted: Sat May 14, 2005 1:43 pm    Post subject: Reply with quote

Поиск юзал? Ниче на форуме нет?

Тогда сочувствую - попробуй поставить другую версию tuxpaint
Back to top
View user's profile Send private message
Alice in W
Tux's lil' helper
Tux's lil' helper


Joined: 29 Nov 2003
Posts: 86
Location: Moscow, Russia

PostPosted: Sat May 14, 2005 3:15 pm    Post subject: Reply with quote

rusxakep wrote:
Поиск юзал? Ниче на форуме нет?

Тогда сочувствую - попробуй поставить другую версию tuxpaint

Я - не мальчик, я девочка:))) Tuxpaint для моих детей нужен. Поиск показывает, что умногих с tuxpaint'ом проблемы, но решения для меня нету. Руками самую последнюю версию пробовала ставить - то же самое.
Уйду, наверное, в виндузятницы 8O
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Sun May 15, 2005 6:39 pm    Post subject: Reply with quote

Я не зря спрашивал конкретные версии SDL библиотек. У меня emerge -pv tuxpaint поставился на ура, подтащив при этом следущие пакеты:
Code:
media-libs/sdl-image-1.2.3-r1
media-libs/sdl-ttf-2.0.7
media-libs/sdl-mixer-1.2.5-r1
media-gfx/tuxpaint-0.9.14
Back to top
View user's profile Send private message
Alice in W
Tux's lil' helper
Tux's lil' helper


Joined: 29 Nov 2003
Posts: 86
Location: Moscow, Russia

PostPosted: Sun May 15, 2005 7:25 pm    Post subject: Reply with quote

интересненько получается - tuxp версия побольше, а sdl - поменьше, чем у меня. Попробую вручную один к одному поставить.
Back to top
View user's profile Send private message
rusxakep
Guru
Guru


Joined: 09 Jul 2004
Posts: 458
Location: Moscow, Russia

PostPosted: Mon May 16, 2005 10:35 am    Post subject: Reply with quote

Извини - не привык видеть тут девушек :)

Короче попробуй downgrade, может помочь....
Back to top
View user's profile Send private message
lend
n00b
n00b


Joined: 24 Jul 2004
Posts: 66

PostPosted: Mon May 16, 2005 6:59 pm    Post subject: Reply with quote

Alice in W wrote:
rusxakep wrote:
Поиск юзал? Ниче на форуме нет?

Тогда сочувствую - попробуй поставить другую версию tuxpaint

Я - не мальчик, я девочка:))) Tuxpaint для моих детей нужен. Поиск показывает, что умногих с tuxpaint'ом проблемы, но решения для меня нету. Руками самую последнюю версию пробовала ставить - то же самое.
Уйду, наверное, в виндузятницы 8O
Ты это, чего мамаша? И детей в виндузятницы/ки превратить хочешь?
Back to top
View user's profile Send private message
dish
Apprentice
Apprentice


Joined: 19 Dec 2004
Posts: 266
Location: Moscow, Russia

PostPosted: Tue May 24, 2005 2:26 pm    Post subject: Reply with quote

Прежде чем переходить на винду, можно попробовать поставить бинарный пакет :)
_________________
Contrary to popular belief, UNIX is user-friendly. It just happens to be very selective about who it decides to make friends with. A. Haiut.
Back to top
View user's profile Send private message
ManJak
Guru
Guru


Joined: 18 Dec 2004
Posts: 561
Location: St. Petersburg, Russia

PostPosted: Tue May 24, 2005 4:56 pm    Post subject: Reply with quote

lend wrote:
Alice in W wrote:
rusxakep wrote:
Поиск юзал? Ниче на форуме нет?

Тогда сочувствую - попробуй поставить другую версию tuxpaint

Я - не мальчик, я девочка:))) Tuxpaint для моих детей нужен. Поиск показывает, что умногих с tuxpaint'ом проблемы, но решения для меня нету. Руками самую последнюю версию пробовала ставить - то же самое.
Уйду, наверное, в виндузятницы 8O
Ты это, чего мамаша? И детей в виндузятницы/ки превратить хочешь?


Ожидал подобной фразы от rusxakep, приношу сорри :D

На счет бинарного пакета - стоит попробовать, если есть :)

Дама в Линухе это редкость, которую надо беречь :oops:

Удачи

emerge -s tuxpaint
Searching...
[ Results for search key : tuxpaint ]
[ Applications found : 2 ]

* media-gfx/tuxpaint
Latest version available: 0.9.14
Latest version installed: [ Not Installed ]
Size of downloaded files: 3,133 kB
Homepage: http://www.newbreedsoftware.com/tuxpaint/
Description: Drawing program designed for young children
License: GPL-2

* media-gfx/tuxpaint-stamps
Latest version available: 20041003
Latest version installed: [ Not Installed ]
Size of downloaded files: 6,169 kB
Homepage: http://www.newbreedsoftware.com/tuxpaint/
Description: Set of 'Rubber Stamp' images which can be used within Tux Paint.
License: GPL-2

В портах бинарий нет,
я б сходил на http://www.newbreedsoftware.com/tuxpaint/
может и впрямь есть бинарники :)

Может автор предыдущего поста даст точнее ссылку =)
Back to top
View user's profile Send private message
dish
Apprentice
Apprentice


Joined: 19 Dec 2004
Posts: 266
Location: Moscow, Russia

PostPosted: Tue May 24, 2005 5:03 pm    Post subject: Reply with quote

Ссылки нет, но думаю, что viy, у которого этот пакет встал сможет из него сделать бинарник и выложить куда-нибудь :)
Я бы и сам собрал и сделал бинарник, но выложить некуда :(

Между прочим, есть rpm. Этот вариант тоже можно попробовать, ведь не portage единым жив линуксоид ;)
_________________
Contrary to popular belief, UNIX is user-friendly. It just happens to be very selective about who it decides to make friends with. A. Haiut.
Back to top
View user's profile Send private message
Alice in W
Tux's lil' helper
Tux's lil' helper


Joined: 29 Nov 2003
Posts: 86
Location: Moscow, Russia

PostPosted: Wed May 25, 2005 10:00 am    Post subject: Reply with quote

Хе-хе-хе :)
Code:
# rpm --install ./tuxpaint-0.9.14-1.fc3.i386.rpm
error: Failed dependencies:
        /bin/sh is needed by tuxpaint-0.9.14-1.fc3
        SDL >= 1.2.4 is needed by tuxpaint-0.9.14-1.fc3
        SDL_image is needed by tuxpaint-0.9.14-1.fc3
        SDL_mixer is needed by tuxpaint-0.9.14-1.fc3
        SDL_ttf is needed by tuxpaint-0.9.14-1.fc3
        libSDL-1.2.so.0 is needed by tuxpaint-0.9.14-1.fc3
        libSDL_image-1.2.so.0 is needed by tuxpaint-0.9.14-1.fc3
        libSDL_mixer-1.2.so.0 is needed by tuxpaint-0.9.14-1.fc3
        libSDL_ttf-2.0.so.0 is needed by tuxpaint-0.9.14-1.fc3
        libc.so.6 is needed by tuxpaint-0.9.14-1.fc3
        libc.so.6(GLIBC_2.0) is needed by tuxpaint-0.9.14-1.fc3
        libc.so.6(GLIBC_2.1) is needed by tuxpaint-0.9.14-1.fc3
        libc.so.6(GLIBC_2.2) is needed by tuxpaint-0.9.14-1.fc3
        libc.so.6(GLIBC_2.3) is needed by tuxpaint-0.9.14-1.fc3
        libm.so.6 is needed by tuxpaint-0.9.14-1.fc3
        libm.so.6(GLIBC_2.0) is needed by tuxpaint-0.9.14-1.fc3
        libpng is needed by tuxpaint-0.9.14-1.fc3
        libpng12.so.0 is needed by tuxpaint-0.9.14-1.fc3
        libpthread.so.0 is needed by tuxpaint-0.9.14-1.fc3
        libpthread.so.0(GLIBC_2.0) is needed by tuxpaint-0.9.14-1.fc3
        zlib is needed by tuxpaint-0.9.14-1.fc3


Ничего неожиданного. Пойду налягать на первоисточники и причёсывать систему, для начала.
2ManJak
спасибо за добрые слова, но, в общем, ничего страшного - мальчишки они и есть мальчишки :)
Back to top
View user's profile Send private message
dish
Apprentice
Apprentice


Joined: 19 Dec 2004
Posts: 266
Location: Moscow, Russia

PostPosted: Wed May 25, 2005 1:46 pm    Post subject: Reply with quote

Глупый вопрос:
а ты emerge --sync когда последний раз делала?
Если недавно, то попробуй emerge --emptytree tuxpaint. Правда, это жестоко, т.к. будет пересобирать X и иже с ним......
_________________
Contrary to popular belief, UNIX is user-friendly. It just happens to be very selective about who it decides to make friends with. A. Haiut.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum